Get Document
curl --request POST \
--url https://api.personal.ai/v1/document \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"DomainName": "<string>",
"Text": "<string>"
}
'import requests
url = "https://api.personal.ai/v1/document"
payload = {
"DomainName": "<string>",
"Text": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': '<content-type>'},
body: JSON.stringify({DomainName: '<string>', Text: '<string>'})
};
fetch('https://api.personal.ai/v1/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"array": [
{}
]
}Personal AI APIs
Get Document
Retrieve a list or specific documents from a persona. Works in conjunction with the Update Document endpoint.
POST
/
v1
/
document
Get Document
Overview
API endpoint for retrieving a specific document or list of documents from a persona. This endpoint allows you to access any document by name or pulling a series of documents using the query parameters for response size.Authorization
string
required
Your Personal AI API key
Headers
string
required
Must be set to application/json
Query Parameters
integer
required
Your desired number of documents to be returned.
Body
string
required
The hyphenated text below the AI’s name when clicked into a Persona.

Example Request
"DomainName": "product-demo-jebzrhw"
string
Document name to retrieve a specific document. Leave blank if you want to retrieve mulitple documents.
Example Request
"Text": "Python Reflection"
Example Request
array
Array of conversation messages, including both user messages and AI responses
Example Request
{
"Text": "Python Reflection",
"DomainName": "product-demo-jebzrhw"
}
Example Response
Example Success Response
[
{
"id": "66c6706fe6fffd040957a7a3",
"title": "Python Reflection",
"text": "**Title: Reflecting on Python: My Journey Through a Language Revolution** When I first encountered Python, it was like meeting an old friend who instantly felt familiar and welcoming. I remember divin",
"type": "Document",
"timestamp": "2025-03-17T17:24:44.874+00:00"
}
]
Example cURL
cURL
curl --location 'https://api.personal.ai/v1/document?size=5' \
--header 'x-api-key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
"Text": "Python Reflection",
"DomainName": "product-demo-jebzrhw"
}''
Error Codes
| Code | Description |
|---|---|
| 403 | Forbidden - Check that API key is invalid |
⌘I